select
    claimant_id,
    sum(amount) as total_paid_out,
    count(amount) as number_of_payments,
    avg(amount) as average_paid_out,
    min(amount) as minimum_payment,
    max(amount) as maximum_payment
from
    transaction
where
    actual_or_reserve = 'Actual' and
    payment_or_recovery = 'Payment'
group by
    claimant_id
order by
    total_paid_out desc;